Foreword_Aiding_the_Order = class(Window);

function Foreword_Aiding_the_Order: GetName()
	return "Foreword: Aiding the Order";
end

function Foreword_Aiding_the_Order: IsRunning()
	return (self.window ~= nil);
end

function Foreword_Aiding_the_Order: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Prefácio: Ajudando a Ordem"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Gandalf-29.6S, 51.2W - The Prancing Pony-Bree");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Você fez muito bem para o povo de Bree-land, mas a Sombra de Angmar se espalha por toda parte. Soube por Gwaihir, o Senhor dos Ventos , que outro de minha ordem encontrou corrupção em lone lands , a leste de Bree. Pode até estar relacionado aos perigos que você encontrou no Grande Barrow .\n\n'Infelizmente, Radagast é dado a vagar e será difícil de encontrar. Eu pediria que você recrute a ajuda dos Rangers para encontrar sua localização. Há um aqui em Bree, Saeradan, que poderá ajudá-lo.\n\n- Saia de Bree pelo portão oeste e vire para o norte pela Greenway. Procure Saeradan em sua cabana no lado leste da Greenway em frente ao local de trabalho de Thornley .");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nRadagast, o Marrom, em conjunto com os Rangers do Norte, viajou para o leste nas Terras Solitárias( lone lands), buscando a fonte de um grande mal.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1-Fale com Saeradan em sua cabana ao longo da Greenway.\nSaeradan está em sua cabana ao norte ao longo da Greenway em Bree-land.\n\nGandalf está preocupado com a sombra se espalhando de Angmar. Ele pediu para você consultar os Rangers para procurar Radagast, o Marrom, outro de sua ordem.\n\nGandalf: 'Tendo contado com a ajuda de Strider , a defesa continuada de Bree-land e suas fronteiras cai para Saeradan. Acho que ele estará disposto a ajudá-lo.\n- Viaje pelo portão oeste de Bree e siga a estrada para o norte até onde você vê a fazenda de Thornely a oeste. Saia da estrada e vá para a cabana escondida de Saeradan a nordeste da fazenda.\n'Fale com Saeradan e peça ajuda a ele neste assunto.'\nSaeradan: 'Devo confessar que não sei para onde Radagast estava indo quando partiu daqui, a não ser para o leste para lone lands. Eu sei que ele estava preocupado com o relâmpago que ele viu no pico do Weathertop .\n- Um de meus parentes, Candaith, já viajou para o Topo do Vento para investigar... talvez Radagast tenha se juntado a ele lá.\n- Se desejar, meu cavalo o levaria até o acampamento de Candaith.\n\n2-Fale com Candaith em seu acampamento nas Terras Solitárias ( lone lands).\nCandaith está em seu acampamento nas Terras Solitárias.\n\nSaeradan não sabe exatamente para onde Radagast estava indo quando saiu da cabana do Arqueiro. Ele suspeita que Candaith, o Arqueiro que vigia as Terras Solitárias, possa ter informações sobre o paradeiro do Mago.\n\nSaeradan: 'Leve meu cavalo. Ela o guiará pelos trechos ao norte de Bree e pelo Passo Midgewater até o Acampamento de Candaith.\nCandaith: 'Radagast, o Marrom? Eu não o vi e não sei de sua passagem, mas há um frio e uma sombra que chegou a estas terras ultimamente.'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nSaeradan está em sua cabana ao norte de Bree.\nFale com Candaith em seu acampamento nas Terras Solitárias, em Weathertop .\nSaeradan lhe oferecerá seu cavalo para chegar ao acampamento de Candaith.\nVocê não é obrigado a usar o cavalo dele, mas pode visitar Candaith a qualquer momento e por qualquer método disponível para você. \nO percurso é bastante lento, mas é claro que é mais rápido e seguro do que correr.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Foreword_Aiding_the_Order:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Foreword_Aiding_the_Order()); 